---
lang: en
title: 'API docs: boot.booter'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.booter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [Booter](./boot.booter.md)

## Booter interface

Defines the requirements to implement a Booter for LoopBack applications: - configure() - discover() - load()

A Booter will run through the above methods in order.

<b>Signature:</b>

```typescript
export interface Booter 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [configure()](./boot.booter.configure.md) | Configure phase of the Booter. It should set options / defaults in this phase. |
|  [discover()](./boot.booter.discover.md) | Discover phase of the Booter. It should search for artifacts in this phase. |
|  [load()](./boot.booter.load.md) | Load phase of the Booter. It should bind the artifacts in this phase. |


